Subject: [COSE] Using RSA Algorithms with COSE Messages

From: Anthony Nadalin <[email-masked]>
Date: Fri, 8 Jul 2016 19:07:45 +0000

Yes, Microsoft has a requirement on using these algorithms

Do we have any expectation that this would be used or are we doing it for

completeness?

Most small IoT devices are going to go with one algorithm and skip the

concept of algorithm agility.  This means that they are going to select

algorithms based on:

1.      How much RAM/ROM is needed?

2.      How much energy is needed for computation?

3.      What is the output size of the result?

4.      How paranoid am I about this algorithm and the US government?

I do not currently believe that they are going to care about quantum

computers and the fact that EC goes to pot when they show up.

Is there another environment where we think it is going to be used?

Jim

From: COSE [mailto:[email-masked]] On Behalf Of Mike Jones

Sent: Monday, July 04, 2016 7:46 PM

To: [email-masked]

Subject: Re: [COSE] Using RSA Algorithms with COSE Messages

I request that we discuss adoption of this specification as a working group

draft in Berlin and on the list.

                                                       Thanks,

                                                       -- Mike

From: COSE [mailto:[email-masked]] On Behalf Of Mike Jones

Sent: Monday, April 4, 2016 12:10 PM

To: [email-masked] <mailto:[email-masked]>

Subject: [COSE] Using RSA Algorithms with COSE Messages

I have published draft-jones-cose-rsa, which defines algorithm encodings and

representations enabling RSA algorithms to be used for COSE messages.  This

addresses COSE Issue #21 <https://github.com/cose-wg/cose-issues/issues/21>

: Restore RSA-PSS and the "RSA" key type.  The initial version of this

specification incorporates text from draft-ietf-cose-msg-05 - the last COSE

message specification version before the RSA algorithms were removed.

The specification is available at:

*        https://tools.ietf.org/html/draft-jones-cose-rsa-00

An HTML-formatted version is also available at:

*        http://self-issued.info/docs/draft-jones-cose-rsa-00.html

                                                          -- Mike

P.S.  This was also posted at http://self-issued.info/?p=1559 and as

@selfissued <https://twitter.com/selfissued> .